Kwalitee Issues

has_changelog

Add a Changelog (best named 'Changes') to the distribution. It should list at least major changes implemented in newer versions.

has_meta_yml

Add a META.yml to the distribution. Your buildtool should be able to autogenerate it.

has_readme

Add a README to the distribution. It should contain a quick description of your module and how to install it.

has_tests

Add tests!

no_broken_module_install

Upgrade the bundled version of Module::Install to the most current release. Alternatively, you can switch to another build system / installer that does not suffer from this problem. (ExtUtils::MakeMaker, Module::Build both of which have their own set of problems.)

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: CGI-Lite-Request-0.06/lib/CGI/Lite/Request/Upload.pm -- Around line 139: You forgot a '=back' before '=head1' CGI-Lite-Request-0.06/lib/CGI/Lite/Request.pm -- Around line 162: You forgot a '=back' before '=head1'

prereq_matches_use

List all used modules in META.yml requires

Error:

  • CGI::Lite
  • File::Type
  • HTTP::Headers
  • URI

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: CGI::Lite::Request, CGI::Lite::Request::Base, CGI::Lite::Request::Cookie

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

has_tests_in_t_dir

Add tests or move tests.pl to the t/ directory!

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: CGI::Lite::Request, CGI::Lite::Request::Base, CGI::Lite::Request::Cookie, CGI::Lite::Request::Upload

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

Modules

Name Abstract Version View
CGI::Lite::Request Request object based on CGI::Lite 0.06 metacpan
CGI::Lite::Request::Apache mod_perl compatibility class for CGI::Lite::Request metacpan
CGI::Lite::Request::Base Base class for CGI::Lite::Request implementations metacpan
CGI::Lite::Request::Cookie Cookie objects for CGI::Lite::Request metacpan
CGI::Lite::Request::Upload Upload objects for CGI::Lite metacpan

Other Files

MANIFEST metacpan
Makefile.PL metacpan